searchData={"items":[{"type":"module","title":"ExOpenAI","doc":"Auto-generated SDK for OpenAI APIs\nSee https://platform.openai.com/docs/api-reference/introduction for further info on REST endpoints\nMake sure to refer to the README on Github to see what is implemented and what isn't yet","ref":"ExOpenAI.html"},{"type":"function","title":"ExOpenAI.start/2","doc":"","ref":"ExOpenAI.html#start/2"},{"type":"module","title":"ExOpenAI.Assistants","doc":"Modules for interacting with the `assistants` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/assistants","ref":"ExOpenAI.Assistants.html"},{"type":"function","title":"ExOpenAI.Assistants.create_assistant/2","doc":"Create an assistant with a model and instructions.\n\nEndpoint: `https://api.openai.com/v1/assistants`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#create_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.create_assistant/2","doc":"- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models/overview) for descriptions of them.","ref":"ExOpenAI.Assistants.html#create_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.create_assistant/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `description`: The description of the assistant. The maximum length is 512 characters.\n\n\n- `instructions`: The system instructions that the assistant uses. The maximum length is 256,000 characters.\n\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `name`: The name of the assistant. The maximum length is 256 characters.\n\n\n- `response_format`: \n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\n\n*Example*: `1`\n\n- `tool_resources`: A set of resources that are used by the assistant's tools. The resources are specific to the type of tool. For example, the `code_interpreter` tool requires a list of file IDs, while the `file_search` tool requires a list of vector store IDs.\n\n\n- `tools`: A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types `code_interpreter`, `file_search`, or `function`.\n\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or temperature but not both.\n\n\n*Example*: `1`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Assistants.html#create_assistant/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.delete_assistant/2","doc":"Delete an assistant.\n\nEndpoint: `https://api.openai.com/v1/assistants/{assistant_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#delete_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.delete_assistant/2","doc":"- `assistant_id`","ref":"ExOpenAI.Assistants.html#delete_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.delete_assistant/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Assistants.html#delete_assistant/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.get_assistant/2","doc":"Retrieves an assistant.\n\nEndpoint: `https://api.openai.com/v1/assistants/{assistant_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#get_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.get_assistant/2","doc":"- `assistant_id`","ref":"ExOpenAI.Assistants.html#get_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.get_assistant/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Assistants.html#get_assistant/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.list_assistants/1","doc":"Returns a list of assistants.\n\nEndpoint: `https://api.openai.com/v1/assistants`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#list_assistants/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.list_assistants/1","doc":"","ref":"ExOpenAI.Assistants.html#list_assistants/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.list_assistants/1","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Assistants.html#list_assistants/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Assistants.modify_assistant/2","doc":"Modifies an assistant.\n\nEndpoint: `https://api.openai.com/v1/assistants/{assistant_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/assistants\n\n---","ref":"ExOpenAI.Assistants.html#modify_assistant/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Assistants.modify_assistant/2","doc":"- `assistant_id`","ref":"ExOpenAI.Assistants.html#modify_assistant/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Assistants.modify_assistant/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `description`: The description of the assistant. The maximum length is 512 characters.\n\n\n- `instructions`: The system instructions that the assistant uses. The maximum length is 256,000 characters.\n\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models/overview) for descriptions of them.\n\n\n- `name`: The name of the assistant. The maximum length is 256 characters.\n\n\n- `response_format`: \n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\n\n*Example*: `1`\n\n- `tool_resources`: A set of resources that are used by the assistant's tools. The resources are specific to the type of tool. For example, the `code_interpreter` tool requires a list of file IDs, while the `file_search` tool requires a list of vector store IDs.\n\n\n- `tools`: A list of tool enabled on the assistant. There can be a maximum of 128 tools per assistant. Tools can be of types `code_interpreter`, `file_search`, or `function`.\n\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or temperature but not both.\n\n\n*Example*: `1`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Assistants.html#modify_assistant/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Audio","doc":"Modules for interacting with the `audio` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/audio","ref":"ExOpenAI.Audio.html"},{"type":"function","title":"ExOpenAI.Audio.create_speech/4","doc":"Generates audio from the input text.\n\nEndpoint: `https://api.openai.com/v1/audio/speech`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---","ref":"ExOpenAI.Audio.html#create_speech/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Audio.create_speech/4","doc":"- `input`: The text to generate audio for. The maximum length is 4096 characters.\n\n- `model`: One of the available [TTS models](https://platform.openai.com/docs/models/tts): `tts-1` or `tts-1-hd`\n\n\n- `voice`: The voice to use when generating the audio. Supported voices are `alloy`, `echo`, `fable`, `onyx`, `nova`, and `shimmer`. Previews of the voices are available in the [Text to speech guide](https://platform.openai.com/docs/guides/text-to-speech/voice-options).","ref":"ExOpenAI.Audio.html#create_speech/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Audio.create_speech/4","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `response_format`: The format to audio in. Supported formats are `mp3`, `opus`, `aac`, `flac`, `wav`, and `pcm`.\n\n- `speed`: The speed of the generated audio. Select a value from `0.25` to `4.0`. `1.0` is the default.\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Audio.html#create_speech/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Audio.create_transcription/3","doc":"Transcribes audio into the input language.\n\nEndpoint: `https://api.openai.com/v1/audio/transcriptions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---","ref":"ExOpenAI.Audio.html#create_transcription/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Audio.create_transcription/3","doc":"- `file`: The audio file object (not file name) to transcribe, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `model`: ID of the model to use. Only `whisper-1` (which is powered by our open source Whisper V2 model) is currently available.","ref":"ExOpenAI.Audio.html#create_transcription/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Audio.create_transcription/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `language`: The language of the input audio. Supplying the input language in [ISO-639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) format will improve accuracy and latency.\n\n\n- `prompt`: An optional text to guide the model's style or continue a previous audio segment. The [prompt](https://platform.openai.com/docs/guides/speech-to-text/prompting) should match the audio language.\n\n\n- `response_format`: The format of the transcript output, in one of these options: `json`, `text`, `srt`, `verbose_json`, or `vtt`.\n\n\n- `temperature`: The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use [log probability](https://en.wikipedia.org/wiki/Log_probability) to automatically increase the temperature until certain thresholds are hit.\n\n\n- `timestamp_granularities[]`: The timestamp granularities to populate for this transcription. `response_format` must be set `verbose_json` to use timestamp granularities. Either or both of these options are supported: `word`, or `segment`. Note: There is no additional latency for segment timestamps, but generating word timestamps incurs additional latency.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Audio.html#create_transcription/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Audio.create_translation/3","doc":"Translates audio into English.\n\nEndpoint: `https://api.openai.com/v1/audio/translations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/audio\n\n---","ref":"ExOpenAI.Audio.html#create_translation/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Audio.create_translation/3","doc":"- `file`: The audio file object (not file name) translate, in one of these formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `model`: ID of the model to use. Only `whisper-1` (which is powered by our open source Whisper V2 model) is currently available.","ref":"ExOpenAI.Audio.html#create_translation/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Audio.create_translation/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `prompt`: An optional text to guide the model's style or continue a previous audio segment. The [prompt](https://platform.openai.com/docs/guides/speech-to-text/prompting) should be in English.\n\n\n- `response_format`: The format of the transcript output, in one of these options: `json`, `text`, `srt`, `verbose_json`, or `vtt`.\n\n\n- `temperature`: The sampling temperature, between 0 and 1. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic. If set to 0, the model will use [log probability](https://en.wikipedia.org/wiki/Log_probability) to automatically increase the temperature until certain thresholds are hit.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Audio.html#create_translation/3-optional-arguments"},{"type":"module","title":"ExOpenAI.Batches","doc":"Modules for interacting with the `batches` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/batches","ref":"ExOpenAI.Batches.html"},{"type":"function","title":"ExOpenAI.Batches.cancel_batch/2","doc":"Cancels an in-progress batch. The batch will be in status `cancelling` for up to 10 minutes, before changing to `cancelled`, where it will have partial results (if any) available in the output file.\n\nEndpoint: `https://api.openai.com/v1/batches/{batch_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#cancel_batch/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.cancel_batch/2","doc":"- `batch_id`","ref":"ExOpenAI.Batches.html#cancel_batch/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.cancel_batch/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Batches.html#cancel_batch/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Batches.create_batch/1","doc":"Creates and executes a batch from an uploaded file of requests\n\nEndpoint: `https://api.openai.com/v1/batches`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#create_batch/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.create_batch/1","doc":"","ref":"ExOpenAI.Batches.html#create_batch/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.create_batch/1","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Batches.html#create_batch/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Batches.list_batches/1","doc":"List your organization's batches.\n\nEndpoint: `https://api.openai.com/v1/batches`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#list_batches/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.list_batches/1","doc":"","ref":"ExOpenAI.Batches.html#list_batches/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.list_batches/1","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Batches.html#list_batches/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Batches.retrieve_batch/2","doc":"Retrieves a batch.\n\nEndpoint: `https://api.openai.com/v1/batches/{batch_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/batches\n\n---","ref":"ExOpenAI.Batches.html#retrieve_batch/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Batches.retrieve_batch/2","doc":"- `batch_id`","ref":"ExOpenAI.Batches.html#retrieve_batch/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Batches.retrieve_batch/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Batches.html#retrieve_batch/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Chat","doc":"Modules for interacting with the `chat` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/chat","ref":"ExOpenAI.Chat.html"},{"type":"function","title":"ExOpenAI.Chat.create_chat_completion/3","doc":"Creates a model response for the given chat conversation.\n\nEndpoint: `https://api.openai.com/v1/chat/completions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/chat\n\n---","ref":"ExOpenAI.Chat.html#create_chat_completion/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Chat.create_chat_completion/3","doc":"- `messages`: A list of messages comprising the conversation so far. [Example Python code](https://cookbook.openai.com/examples/how_to_format_inputs_to_chatgpt_models).\n\n- `model`: ID of the model to use. See the [model endpoint compatibility](https://platform.openai.com/docs/models/model-endpoint-compatibility) table for details on which models work with the Chat API.","ref":"ExOpenAI.Chat.html#create_chat_completion/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Chat.create_chat_completion/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `frequency_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/text-generation/parameter-details)\n\n\n- `function_call`: Deprecated in favor of `tool_choice`.\n\nControls which (if any) function is called by the model.\n`none` means the model will not call a function and instead generates a message.\n`auto` means the model can pick between generating a message or calling a function.\nSpecifying a particular function via `{\"name\": \"my_function\"}` forces the model to call that function.\n\n`none` is the default when no functions are present. `auto` is the default if functions are present.\n\n\n- `functions`: Deprecated in favor of `tools`.\n\nA list of functions the model may generate JSON inputs for.\n\n\n- `logit_bias`: Modify the likelihood of specified tokens appearing in the completion.\n\nAccepts a JSON object that maps tokens (specified by their token ID in the tokenizer) to an associated bias value from -100 to 100. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.\n\n\n- `logprobs`: Whether to return log probabilities of the output tokens or not. If true, returns the log probabilities of each output token returned in the `content` of `message`.\n\n- `max_tokens`: The maximum number of [tokens](https://platform.openai.com/tokenizer) that can be generated in the chat completion.\n\nThe total length of input tokens and generated tokens is limited by the model's context length. [Example Python code](https://cookbook.openai.com/examples/how_to_count_tokens_with_tiktoken) for counting tokens.\n\n\n- `n`: How many chat completion choices to generate for each input message. Note that you will be charged based on the number of generated tokens across all of the choices. Keep `n` as `1` to minimize costs.\n\n*Example*: `1`\n\n- `parallel_tool_calls`: \n\n- `presence_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/text-generation/parameter-details)\n\n\n- `response_format`: An object specifying the format that the model must output. Compatible with [GPT-4 Turbo](https://platform.openai.com/docs/models/gpt-4-and-gpt-4-turbo) and all GPT-3.5 Turbo models newer than `gpt-3.5-turbo-1106`.\n\nSetting to `{ \"type\": \"json_object\" }` enables JSON mode, which guarantees the message the model generates is valid JSON.\n\n**Important:** when using JSON mode, you **must** also instruct the model to produce JSON yourself via a system or user message. Without this, the model may generate an unending stream of whitespace until the generation reaches the token limit, resulting in a long-running and seemingly \"stuck\" request. Also note that the message content may be partially cut off if `finish_reason=\"length\"`, which indicates the generation exceeded `max_tokens` or the conversation exceeded the max context length.\n\n\n- `seed`: This feature is in Beta.\nIf specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.\n\n\n- `service_tier`: Specifies the latency tier to use for processing the request. This parameter is relevant for customers subscribed to the scale tier service:\n  - If set to 'auto', the system will utilize scale tier credits until they are exhausted.\n  - If set to 'default', the request will be processed using the default service tier with a lower uptime SLA and no latency guarentee.\n\n  When this parameter is set, the response body will include the `service_tier` utilized.\n\n\n- `stop`: Up to 4 sequences where the API will stop generating further tokens.\n\n\n- `stream`: If set, partial message deltas will be sent, like in ChatGPT. Tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-UShttps://platform.openai.com/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message. [Example Python code](https://cookbook.openai.com/examples/how_to_stream_completions).\n\n\n- `stream_options`: \n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\nWe generally recommend altering this or `top_p` but not both.\n\n\n*Example*: `1`\n\n- `tool_choice`: \n\n- `tools`: A list of tools the model may call. Currently, only functions are supported as a tool. Use this to provide a list of functions the model may generate JSON inputs for. A max of 128 functions are supported.\n\n\n- `top_logprobs`: An integer between 0 and 20 specifying the number of most likely tokens to return at each token position, each with an associated log probability. `logprobs` must be set to `true` if this parameter is used.\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or `temperature` but not both.\n\n\n*Example*: `1`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Chat.html#create_chat_completion/3-optional-arguments"},{"type":"module","title":"ExOpenAI.Completions","doc":"Modules for interacting with the `completions` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/completions","ref":"ExOpenAI.Completions.html"},{"type":"function","title":"ExOpenAI.Completions.create_completion/3","doc":"Creates a completion for the provided prompt and parameters.\n\nEndpoint: `https://api.openai.com/v1/completions`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/completions\n\n---","ref":"ExOpenAI.Completions.html#create_completion/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Completions.create_completion/3","doc":"- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models/overview) for descriptions of them.\n\n\n- `prompt`: The prompt(s) to generate completions for, encoded as a string, array of strings, array of tokens, or array of token arrays.\n\nNote that <|endoftext|> is the document separator that the model sees during training, so if a prompt is not specified the model will generate as if from the beginning of a new document.","ref":"ExOpenAI.Completions.html#create_completion/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Completions.create_completion/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `best_of`: Generates `best_of` completions server-side and returns the \"best\" (the one with the highest log probability per token). Results cannot be streamed.\n\nWhen used with `n`, `best_of` controls the number of candidate completions and `n` specifies how many to return – `best_of` must be greater than `n`.\n\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens` and `stop`.\n\n\n- `echo`: Echo back the prompt in addition to the completion\n\n\n- `frequency_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on their existing frequency in the text so far, decreasing the model's likelihood to repeat the same line verbatim.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/text-generation/parameter-details)\n\n\n- `logit_bias`: Modify the likelihood of specified tokens appearing in the completion.\n\nAccepts a JSON object that maps tokens (specified by their token ID in the GPT tokenizer) to an associated bias value from -100 to 100. You can use this [tokenizer tool](https://platform.openai.com/tokenizer?view=bpe) to convert text to token IDs. Mathematically, the bias is added to the logits generated by the model prior to sampling. The exact effect will vary per model, but values between -1 and 1 should decrease or increase likelihood of selection; values like -100 or 100 should result in a ban or exclusive selection of the relevant token.\n\nAs an example, you can pass `{\"50256\": -100}` to prevent the <|endoftext|> token from being generated.\n\n\n- `logprobs`: Include the log probabilities on the `logprobs` most likely output tokens, as well the chosen tokens. For example, if `logprobs` is 5, the API will return a list of the 5 most likely tokens. The API will always return the `logprob` of the sampled token, so there may be up to `logprobs+1` elements in the response.\n\nThe maximum value for `logprobs` is 5.\n\n\n- `max_tokens`: The maximum number of [tokens](https://platform.openai.com/tokenizer) that can be generated in the completion.\n\nThe token count of your prompt plus `max_tokens` cannot exceed the model's context length. [Example Python code](https://cookbook.openai.com/examples/how_to_count_tokens_with_tiktoken) for counting tokens.\n\n\n*Example*: `16`\n\n- `n`: How many completions to generate for each prompt.\n\n**Note:** Because this parameter generates many completions, it can quickly consume your token quota. Use carefully and ensure that you have reasonable settings for `max_tokens` and `stop`.\n\n\n*Example*: `1`\n\n- `presence_penalty`: Number between -2.0 and 2.0. Positive values penalize new tokens based on whether they appear in the text so far, increasing the model's likelihood to talk about new topics.\n\n[See more information about frequency and presence penalties.](https://platform.openai.com/docs/guides/text-generation/parameter-details)\n\n\n- `seed`: If specified, our system will make a best effort to sample deterministically, such that repeated requests with the same `seed` and parameters should return the same result.\n\nDeterminism is not guaranteed, and you should refer to the `system_fingerprint` response parameter to monitor changes in the backend.\n\n\n- `stop`: Up to 4 sequences where the API will stop generating further tokens. The returned text will not contain the stop sequence.\n\n\n- `stream`: Whether to stream back partial progress. If set, tokens will be sent as data-only [server-sent events](https://developer.mozilla.org/en-UShttps://platform.openai.com/docs/Web/API/Server-sent_events/Using_server-sent_events#Event_stream_format) as they become available, with the stream terminated by a `data: [DONE]` message. [Example Python code](https://cookbook.openai.com/examples/how_to_stream_completions).\n\n\n- `stream_options`: \n\n- `suffix`: The suffix that comes after a completion of inserted text.\n\nThis parameter is only supported for `gpt-3.5-turbo-instruct`.\n\n\n*Example*: `\"test.\"`\n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\nWe generally recommend altering this or `top_p` but not both.\n\n\n*Example*: `1`\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or `temperature` but not both.\n\n\n*Example*: `1`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Completions.html#create_completion/3-optional-arguments"},{"type":"module","title":"ExOpenAI.Components.AssistantObject","doc":"Schema representing a AssistantObject within the OpenAI API","ref":"ExOpenAI.Components.AssistantObject.html"},{"type":"type","title":"ExOpenAI.Components.AssistantObject.t/0","doc":"","ref":"ExOpenAI.Components.AssistantObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantStreamEvent","doc":"Schema representing a AssistantStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [\"ThreadStreamEvent\", \"RunStreamEvent\", \"RunStepStreamEvent\", \"MessageStreamEvent\", \"ErrorEvent\", \"DoneEvent\"]","ref":"ExOpenAI.Components.AssistantStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.AssistantStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.AssistantStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsCode","doc":"Schema representing a AssistantToolsCode within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsCode.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsCode.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsCode.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsFileSearch","doc":"Schema representing a AssistantToolsFileSearch within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsFileSearch.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsFileSearch.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsFileSearch.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly","doc":"Schema representing a AssistantToolsFileSearchTypeOnly within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsFileSearchTypeOnly.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantToolsFunction","doc":"Schema representing a AssistantToolsFunction within the OpenAI API","ref":"ExOpenAI.Components.AssistantToolsFunction.html"},{"type":"type","title":"ExOpenAI.Components.AssistantToolsFunction.t/0","doc":"","ref":"ExOpenAI.Components.AssistantToolsFunction.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantsApiResponseFormat","doc":"Schema representing a AssistantsApiResponseFormat within the OpenAI API","ref":"ExOpenAI.Components.AssistantsApiResponseFormat.html"},{"type":"type","title":"ExOpenAI.Components.AssistantsApiResponseFormat.t/0","doc":"","ref":"ExOpenAI.Components.AssistantsApiResponseFormat.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantsApiResponseFormatOption","doc":"Schema representing a AssistantsApiResponseFormatOption within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [[:none, :auto], \"AssistantsApiResponseFormat\"]","ref":"ExOpenAI.Components.AssistantsApiResponseFormatOption.html"},{"type":"type","title":"ExOpenAI.Components.AssistantsApiResponseFormatOption.t/0","doc":"","ref":"ExOpenAI.Components.AssistantsApiResponseFormatOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantsApiToolChoiceOption","doc":"Schema representing a AssistantsApiToolChoiceOption within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [[:none, :auto, :required], \"AssistantsNamedToolChoice\"]","ref":"ExOpenAI.Components.AssistantsApiToolChoiceOption.html"},{"type":"type","title":"ExOpenAI.Components.AssistantsApiToolChoiceOption.t/0","doc":"","ref":"ExOpenAI.Components.AssistantsApiToolChoiceOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AssistantsNamedToolChoice","doc":"Schema representing a AssistantsNamedToolChoice within the OpenAI API","ref":"ExOpenAI.Components.AssistantsNamedToolChoice.html"},{"type":"type","title":"ExOpenAI.Components.AssistantsNamedToolChoice.t/0","doc":"","ref":"ExOpenAI.Components.AssistantsNamedToolChoice.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.AutoChunkingStrategyRequestParam","doc":"Schema representing a AutoChunkingStrategyRequestParam within the OpenAI API","ref":"ExOpenAI.Components.AutoChunkingStrategyRequestParam.html"},{"type":"type","title":"ExOpenAI.Components.AutoChunkingStrategyRequestParam.t/0","doc":"","ref":"ExOpenAI.Components.AutoChunkingStrategyRequestParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Batch","doc":"Schema representing a Batch within the OpenAI API","ref":"ExOpenAI.Components.Batch.html"},{"type":"type","title":"ExOpenAI.Components.Batch.t/0","doc":"","ref":"ExOpenAI.Components.Batch.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.BatchRequestInput","doc":"Schema representing a BatchRequestInput within the OpenAI API","ref":"ExOpenAI.Components.BatchRequestInput.html"},{"type":"type","title":"ExOpenAI.Components.BatchRequestInput.t/0","doc":"","ref":"ExOpenAI.Components.BatchRequestInput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.BatchRequestOutput","doc":"Schema representing a BatchRequestOutput within the OpenAI API","ref":"ExOpenAI.Components.BatchRequestOutput.html"},{"type":"type","title":"ExOpenAI.Components.BatchRequestOutput.t/0","doc":"","ref":"ExOpenAI.Components.BatchRequestOutput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionFunctionCallOption","doc":"Schema representing a ChatCompletionFunctionCallOption within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionFunctionCallOption.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionFunctionCallOption.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionFunctionCallOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionFunctions","doc":"Schema representing a ChatCompletionFunctions within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionFunctions.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionFunctions.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionFunctions.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionMessageToolCall","doc":"Schema representing a ChatCompletionMessageToolCall within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionMessageToolCall.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionMessageToolCall.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionMessageToolCall.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk","doc":"Schema representing a ChatCompletionMessageToolCallChunk within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionMessageToolCallChunk.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionMessageToolCalls","doc":"Schema representing a ChatCompletionMessageToolCalls within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionMessageToolCalls.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionMessageToolCalls.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionMessageToolCalls.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionNamedToolChoice","doc":"Schema representing a ChatCompletionNamedToolChoice within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionNamedToolChoice.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionNamedToolChoice.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionNamedToolChoice.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage","doc":"Schema representing a ChatCompletionRequestAssistantMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestAssistantMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage","doc":"Schema representing a ChatCompletionRequestFunctionMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestFunctionMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessage","doc":"Schema representing a ChatCompletionRequestMessage within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [\"ChatCompletionRequestSystemMessage\", \"ChatCompletionRequestUserMessage\", \"ChatCompletionRequestAssistantMessage\", \"ChatCompletionRequestToolMessage\", \"ChatCompletionRequestFunctionMessage\"]","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPart","doc":"Schema representing a ChatCompletionRequestMessageContentPart within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [\"ChatCompletionRequestMessageContentPartText\", \"ChatCompletionRequestMessageContentPartImage\"]","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPart.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPart.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPart.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage","doc":"Schema representing a ChatCompletionRequestMessageContentPartImage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartImage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText","doc":"Schema representing a ChatCompletionRequestMessageContentPartText within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestMessageContentPartText.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestSystemMessage","doc":"Schema representing a ChatCompletionRequestSystemMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestSystemMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestSystemMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestSystemMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestToolMessage","doc":"Schema representing a ChatCompletionRequestToolMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestToolMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestToolMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestToolMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRequestUserMessage","doc":"Schema representing a ChatCompletionRequestUserMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRequestUserMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRequestUserMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRequestUserMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionResponseMessage","doc":"Schema representing a ChatCompletionResponseMessage within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionResponseMessage.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionResponseMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionRole","doc":"Schema representing a ChatCompletionRole within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionRole.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionRole.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionRole.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionStreamOptions","doc":"Schema representing a ChatCompletionStreamOptions within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionStreamOptions.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionStreamOptions.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionStreamOptions.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionStreamResponseDelta","doc":"Schema representing a ChatCompletionStreamResponseDelta within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionStreamResponseDelta.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionTokenLogprob","doc":"Schema representing a ChatCompletionTokenLogprob within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionTokenLogprob.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionTokenLogprob.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionTokenLogprob.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionTool","doc":"Schema representing a ChatCompletionTool within the OpenAI API","ref":"ExOpenAI.Components.ChatCompletionTool.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionTool.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionTool.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChatCompletionToolChoiceOption","doc":"Schema representing a ChatCompletionToolChoiceOption within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [[:none, :auto, :required], \"ChatCompletionNamedToolChoice\"]","ref":"ExOpenAI.Components.ChatCompletionToolChoiceOption.html"},{"type":"type","title":"ExOpenAI.Components.ChatCompletionToolChoiceOption.t/0","doc":"","ref":"ExOpenAI.Components.ChatCompletionToolChoiceOption.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ChunkingStrategyRequestParam","doc":"Schema representing a ChunkingStrategyRequestParam within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [\"AutoChunkingStrategyRequestParam\", \"StaticChunkingStrategyRequestParam\"]","ref":"ExOpenAI.Components.ChunkingStrategyRequestParam.html"},{"type":"type","title":"ExOpenAI.Components.ChunkingStrategyRequestParam.t/0","doc":"","ref":"ExOpenAI.Components.ChunkingStrategyRequestParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CompletionUsage","doc":"Schema representing a CompletionUsage within the OpenAI API","ref":"ExOpenAI.Components.CompletionUsage.html"},{"type":"type","title":"ExOpenAI.Components.CompletionUsage.t/0","doc":"","ref":"ExOpenAI.Components.CompletionUsage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateAssistantRequest","doc":"Schema representing a CreateAssistantRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateAssistantRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateAssistantRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateAssistantRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionFunctionResponse","doc":"Schema representing a CreateChatCompletionFunctionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionFunctionResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionFunctionResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionFunctionResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionImageResponse","doc":"Schema representing a CreateChatCompletionImageResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionImageResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionImageResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionImageResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionRequest","doc":"Schema representing a CreateChatCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionResponse","doc":"Schema representing a CreateChatCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateChatCompletionStreamResponse","doc":"Schema representing a CreateChatCompletionStreamResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateChatCompletionStreamResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateChatCompletionStreamResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateChatCompletionStreamResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateCompletionRequest","doc":"Schema representing a CreateCompletionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateCompletionRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateCompletionRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateCompletionResponse","doc":"Schema representing a CreateCompletionResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateCompletionResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateCompletionResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateCompletionResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateEmbeddingRequest","doc":"Schema representing a CreateEmbeddingRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateEmbeddingRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateEmbeddingRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateEmbeddingResponse","doc":"Schema representing a CreateEmbeddingResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateEmbeddingResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateEmbeddingResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateFileRequest","doc":"Schema representing a CreateFileRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFileRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateFileRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateFileRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateFineTuningJobRequest","doc":"Schema representing a CreateFineTuningJobRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateFineTuningJobRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateFineTuningJobRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateFineTuningJobRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateImageEditRequest","doc":"Schema representing a CreateImageEditRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageEditRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateImageEditRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateImageEditRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateImageRequest","doc":"Schema representing a CreateImageRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateImageRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateImageRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateImageVariationRequest","doc":"Schema representing a CreateImageVariationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateImageVariationRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateImageVariationRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateImageVariationRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateMessageRequest","doc":"Schema representing a CreateMessageRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateMessageRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateMessageRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateMessageRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateModerationRequest","doc":"Schema representing a CreateModerationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateModerationRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateModerationRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateModerationResponse","doc":"Schema representing a CreateModerationResponse within the OpenAI API","ref":"ExOpenAI.Components.CreateModerationResponse.html"},{"type":"type","title":"ExOpenAI.Components.CreateModerationResponse.t/0","doc":"","ref":"ExOpenAI.Components.CreateModerationResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateRunRequest","doc":"Schema representing a CreateRunRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateSpeechRequest","doc":"Schema representing a CreateSpeechRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateSpeechRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateSpeechRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateSpeechRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateThreadAndRunRequest","doc":"Schema representing a CreateThreadAndRunRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateThreadAndRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateThreadAndRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateThreadAndRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateThreadRequest","doc":"Schema representing a CreateThreadRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateThreadRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateThreadRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateThreadRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranscriptionRequest","doc":"Schema representing a CreateTranscriptionRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranscriptionRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranscriptionRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranscriptionResponseJson","doc":"Schema representing a CreateTranscriptionResponseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionResponseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranscriptionResponseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranscriptionResponseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson","doc":"Schema representing a CreateTranscriptionResponseVerboseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranscriptionResponseVerboseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranslationRequest","doc":"Schema representing a CreateTranslationRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranslationRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranslationRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranslationResponseJson","doc":"Schema representing a CreateTranslationResponseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationResponseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranslationResponseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranslationResponseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateTranslationResponseVerboseJson","doc":"Schema representing a CreateTranslationResponseVerboseJson within the OpenAI API","ref":"ExOpenAI.Components.CreateTranslationResponseVerboseJson.html"},{"type":"type","title":"ExOpenAI.Components.CreateTranslationResponseVerboseJson.t/0","doc":"","ref":"ExOpenAI.Components.CreateTranslationResponseVerboseJson.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest","doc":"Schema representing a CreateVectorStoreFileBatchRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateVectorStoreFileBatchRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateVectorStoreFileRequest","doc":"Schema representing a CreateVectorStoreFileRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateVectorStoreFileRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateVectorStoreFileRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateVectorStoreFileRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.CreateVectorStoreRequest","doc":"Schema representing a CreateVectorStoreRequest within the OpenAI API","ref":"ExOpenAI.Components.CreateVectorStoreRequest.html"},{"type":"type","title":"ExOpenAI.Components.CreateVectorStoreRequest.t/0","doc":"","ref":"ExOpenAI.Components.CreateVectorStoreRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteAssistantResponse","doc":"Schema representing a DeleteAssistantResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteAssistantResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteAssistantResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteAssistantResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteFileResponse","doc":"Schema representing a DeleteFileResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteFileResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteFileResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteFileResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteMessageResponse","doc":"Schema representing a DeleteMessageResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteMessageResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteMessageResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteMessageResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteModelResponse","doc":"Schema representing a DeleteModelResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteModelResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteModelResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteModelResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteThreadResponse","doc":"Schema representing a DeleteThreadResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteThreadResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteThreadResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteThreadResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteVectorStoreFileResponse","doc":"Schema representing a DeleteVectorStoreFileResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteVectorStoreFileResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteVectorStoreFileResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteVectorStoreFileResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DeleteVectorStoreResponse","doc":"Schema representing a DeleteVectorStoreResponse within the OpenAI API","ref":"ExOpenAI.Components.DeleteVectorStoreResponse.html"},{"type":"type","title":"ExOpenAI.Components.DeleteVectorStoreResponse.t/0","doc":"","ref":"ExOpenAI.Components.DeleteVectorStoreResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.DoneEvent","doc":"Schema representing a DoneEvent within the OpenAI API","ref":"ExOpenAI.Components.DoneEvent.html"},{"type":"type","title":"ExOpenAI.Components.DoneEvent.t/0","doc":"","ref":"ExOpenAI.Components.DoneEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Embedding","doc":"Schema representing a Embedding within the OpenAI API","ref":"ExOpenAI.Components.Embedding.html"},{"type":"type","title":"ExOpenAI.Components.Embedding.t/0","doc":"","ref":"ExOpenAI.Components.Embedding.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Error","doc":"Schema representing a Error within the OpenAI API","ref":"ExOpenAI.Components.Error.html"},{"type":"type","title":"ExOpenAI.Components.Error.t/0","doc":"","ref":"ExOpenAI.Components.Error.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ErrorEvent","doc":"Schema representing a ErrorEvent within the OpenAI API","ref":"ExOpenAI.Components.ErrorEvent.html"},{"type":"type","title":"ExOpenAI.Components.ErrorEvent.t/0","doc":"","ref":"ExOpenAI.Components.ErrorEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ErrorResponse","doc":"Schema representing a ErrorResponse within the OpenAI API","ref":"ExOpenAI.Components.ErrorResponse.html"},{"type":"type","title":"ExOpenAI.Components.ErrorResponse.t/0","doc":"","ref":"ExOpenAI.Components.ErrorResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage","doc":"Schema representing a FineTuneChatCompletionRequestAssistantMessage within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [%{\"weight\" => \"integer\"}, \"ChatCompletionRequestAssistantMessage\"]","ref":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage.html"},{"type":"type","title":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage.t/0","doc":"","ref":"ExOpenAI.Components.FineTuneChatCompletionRequestAssistantMessage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningIntegration","doc":"Schema representing a FineTuningIntegration within the OpenAI API","ref":"ExOpenAI.Components.FineTuningIntegration.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningIntegration.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningIntegration.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningJob","doc":"Schema representing a FineTuningJob within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJob.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningJob.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningJob.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningJobCheckpoint","doc":"Schema representing a FineTuningJobCheckpoint within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJobCheckpoint.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningJobCheckpoint.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningJobCheckpoint.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FineTuningJobEvent","doc":"Schema representing a FineTuningJobEvent within the OpenAI API","ref":"ExOpenAI.Components.FineTuningJobEvent.html"},{"type":"type","title":"ExOpenAI.Components.FineTuningJobEvent.t/0","doc":"","ref":"ExOpenAI.Components.FineTuningJobEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FinetuneChatRequestInput","doc":"Schema representing a FinetuneChatRequestInput within the OpenAI API","ref":"ExOpenAI.Components.FinetuneChatRequestInput.html"},{"type":"type","title":"ExOpenAI.Components.FinetuneChatRequestInput.t/0","doc":"","ref":"ExOpenAI.Components.FinetuneChatRequestInput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FinetuneCompletionRequestInput","doc":"Schema representing a FinetuneCompletionRequestInput within the OpenAI API","ref":"ExOpenAI.Components.FinetuneCompletionRequestInput.html"},{"type":"type","title":"ExOpenAI.Components.FinetuneCompletionRequestInput.t/0","doc":"","ref":"ExOpenAI.Components.FinetuneCompletionRequestInput.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionObject","doc":"Schema representing a FunctionObject within the OpenAI API","ref":"ExOpenAI.Components.FunctionObject.html"},{"type":"type","title":"ExOpenAI.Components.FunctionObject.t/0","doc":"","ref":"ExOpenAI.Components.FunctionObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.FunctionParameters","doc":"Schema representing a FunctionParameters within the OpenAI API","ref":"ExOpenAI.Components.FunctionParameters.html"},{"type":"type","title":"ExOpenAI.Components.FunctionParameters.t/0","doc":"","ref":"ExOpenAI.Components.FunctionParameters.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Image","doc":"Schema representing a Image within the OpenAI API","ref":"ExOpenAI.Components.Image.html"},{"type":"type","title":"ExOpenAI.Components.Image.t/0","doc":"","ref":"ExOpenAI.Components.Image.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ImagesResponse","doc":"Schema representing a ImagesResponse within the OpenAI API","ref":"ExOpenAI.Components.ImagesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ImagesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ImagesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListAssistantsResponse","doc":"Schema representing a ListAssistantsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListAssistantsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListAssistantsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListAssistantsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListBatchesResponse","doc":"Schema representing a ListBatchesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListBatchesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListBatchesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListBatchesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListFilesResponse","doc":"Schema representing a ListFilesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFilesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListFilesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListFilesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse","doc":"Schema representing a ListFineTuningJobCheckpointsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListFineTuningJobCheckpointsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListFineTuningJobEventsResponse","doc":"Schema representing a ListFineTuningJobEventsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListFineTuningJobEventsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListFineTuningJobEventsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListFineTuningJobEventsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListMessagesResponse","doc":"Schema representing a ListMessagesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListMessagesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListMessagesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListMessagesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListModelsResponse","doc":"Schema representing a ListModelsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListModelsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListModelsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListModelsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse","doc":"Schema representing a ListPaginatedFineTuningJobsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListPaginatedFineTuningJobsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListRunStepsResponse","doc":"Schema representing a ListRunStepsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListRunStepsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListRunStepsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListRunStepsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListRunsResponse","doc":"Schema representing a ListRunsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListRunsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListRunsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListRunsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListThreadsResponse","doc":"Schema representing a ListThreadsResponse within the OpenAI API","ref":"ExOpenAI.Components.ListThreadsResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListThreadsResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListThreadsResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListVectorStoreFilesResponse","doc":"Schema representing a ListVectorStoreFilesResponse within the OpenAI API","ref":"ExOpenAI.Components.ListVectorStoreFilesResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListVectorStoreFilesResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListVectorStoreFilesResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ListVectorStoresResponse","doc":"Schema representing a ListVectorStoresResponse within the OpenAI API","ref":"ExOpenAI.Components.ListVectorStoresResponse.html"},{"type":"type","title":"ExOpenAI.Components.ListVectorStoresResponse.t/0","doc":"","ref":"ExOpenAI.Components.ListVectorStoresResponse.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentImageFileObject","doc":"Schema representing a MessageContentImageFileObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentImageFileObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentImageFileObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentImageFileObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentImageUrlObject","doc":"Schema representing a MessageContentImageUrlObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentImageUrlObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentImageUrlObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentImageUrlObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject","doc":"Schema representing a MessageContentTextAnnotationsFileCitationObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFileCitationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject","doc":"Schema representing a MessageContentTextAnnotationsFilePathObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentTextAnnotationsFilePathObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageContentTextObject","doc":"Schema representing a MessageContentTextObject within the OpenAI API","ref":"ExOpenAI.Components.MessageContentTextObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageContentTextObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageContentTextObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentImageFileObject","doc":"Schema representing a MessageDeltaContentImageFileObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentImageFileObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentImageFileObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentImageFileObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentImageUrlObject","doc":"Schema representing a MessageDeltaContentImageUrlObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentImageUrlObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentImageUrlObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentImageUrlObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject","doc":"Schema representing a MessageDeltaContentTextAnnotationsFileCitationObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFileCitationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject","doc":"Schema representing a MessageDeltaContentTextAnnotationsFilePathObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentTextAnnotationsFilePathObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaContentTextObject","doc":"Schema representing a MessageDeltaContentTextObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaContentTextObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaContentTextObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaContentTextObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageDeltaObject","doc":"Schema representing a MessageDeltaObject within the OpenAI API","ref":"ExOpenAI.Components.MessageDeltaObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageDeltaObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageDeltaObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageObject","doc":"Schema representing a MessageObject within the OpenAI API","ref":"ExOpenAI.Components.MessageObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageRequestContentTextObject","doc":"Schema representing a MessageRequestContentTextObject within the OpenAI API","ref":"ExOpenAI.Components.MessageRequestContentTextObject.html"},{"type":"type","title":"ExOpenAI.Components.MessageRequestContentTextObject.t/0","doc":"","ref":"ExOpenAI.Components.MessageRequestContentTextObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.MessageStreamEvent","doc":"Schema representing a MessageStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [%{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.created\"]}}, %{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.in_progress\"]}}, %{\"data\" => {:component, \"MessageDeltaObject\"}, \"event\" => {:enum, [:\"thread.message.delta\"]}}, %{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.completed\"]}}, %{\"data\" => {:component, \"MessageObject\"}, \"event\" => {:enum, [:\"thread.message.incomplete\"]}}]","ref":"ExOpenAI.Components.MessageStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.MessageStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.MessageStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.Model","doc":"Replacement Component for Model API responses\nThis module was not part of the api documentation and got probably forgotten, so it has been manually provided by this package\nRpresents API responses such as:\n```\ncreated: 1649880484,\nid: \"text-davinci-insert-002\",\nobject: \"model\",\nowned_by: \"openai\",\nparent: nil,\npermission: [\n  %{\n    allow_create_engine: false,\n    allow_fine_tuning: false,\n    allow_logprobs: true,\n    allow_sampling: true,\n    allow_search_indices: false,\n    allow_view: true,\n    created: 1669066354,\n    group: nil,\n    id: \"modelperm-V5YQoSyiapAf4km5wisXkNXh\",\n    is_blocking: false,\n    object: \"model_permission\",\n    organization: \"*\"\n  }\n],\nroot: \"text-davinci-insert-002\"\n```","ref":"ExOpenAI.Components.Model.html"},{"type":"type","title":"ExOpenAI.Components.Model.t/0","doc":"","ref":"ExOpenAI.Components.Model.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyAssistantRequest","doc":"Schema representing a ModifyAssistantRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyAssistantRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyAssistantRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyAssistantRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyMessageRequest","doc":"Schema representing a ModifyMessageRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyMessageRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyMessageRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyMessageRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyRunRequest","doc":"Schema representing a ModifyRunRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ModifyThreadRequest","doc":"Schema representing a ModifyThreadRequest within the OpenAI API","ref":"ExOpenAI.Components.ModifyThreadRequest.html"},{"type":"type","title":"ExOpenAI.Components.ModifyThreadRequest.t/0","doc":"","ref":"ExOpenAI.Components.ModifyThreadRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OpenAIFile","doc":"Schema representing a OpenAIFile within the OpenAI API","ref":"ExOpenAI.Components.OpenAIFile.html"},{"type":"type","title":"ExOpenAI.Components.OpenAIFile.t/0","doc":"","ref":"ExOpenAI.Components.OpenAIFile.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.OtherChunkingStrategyResponseParam","doc":"Schema representing a OtherChunkingStrategyResponseParam within the OpenAI API","ref":"ExOpenAI.Components.OtherChunkingStrategyResponseParam.html"},{"type":"type","title":"ExOpenAI.Components.OtherChunkingStrategyResponseParam.t/0","doc":"","ref":"ExOpenAI.Components.OtherChunkingStrategyResponseParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ParallelToolCalls","doc":"Schema representing a ParallelToolCalls within the OpenAI API","ref":"ExOpenAI.Components.ParallelToolCalls.html"},{"type":"type","title":"ExOpenAI.Components.ParallelToolCalls.t/0","doc":"","ref":"ExOpenAI.Components.ParallelToolCalls.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunCompletionUsage","doc":"Schema representing a RunCompletionUsage within the OpenAI API","ref":"ExOpenAI.Components.RunCompletionUsage.html"},{"type":"type","title":"ExOpenAI.Components.RunCompletionUsage.t/0","doc":"","ref":"ExOpenAI.Components.RunCompletionUsage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunObject","doc":"Schema representing a RunObject within the OpenAI API","ref":"ExOpenAI.Components.RunObject.html"},{"type":"type","title":"ExOpenAI.Components.RunObject.t/0","doc":"","ref":"ExOpenAI.Components.RunObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepCompletionUsage","doc":"Schema representing a RunStepCompletionUsage within the OpenAI API","ref":"ExOpenAI.Components.RunStepCompletionUsage.html"},{"type":"type","title":"ExOpenAI.Components.RunStepCompletionUsage.t/0","doc":"","ref":"ExOpenAI.Components.RunStepCompletionUsage.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaObject","doc":"Schema representing a RunStepDeltaObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject","doc":"Schema representing a RunStepDeltaStepDetailsMessageCreationObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsMessageCreationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsCodeObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsCodeOutputImageObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputImageObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsCodeOutputLogsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsFileSearchObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFileSearchObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsFunctionObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsFunctionObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject","doc":"Schema representing a RunStepDeltaStepDetailsToolCallsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDeltaStepDetailsToolCallsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsMessageCreationObject","doc":"Schema representing a RunStepDetailsMessageCreationObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsMessageCreationObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsMessageCreationObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsMessageCreationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject","doc":"Schema representing a RunStepDetailsToolCallsCodeObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject","doc":"Schema representing a RunStepDetailsToolCallsCodeOutputImageObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputImageObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject","doc":"Schema representing a RunStepDetailsToolCallsCodeOutputLogsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsCodeOutputLogsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject","doc":"Schema representing a RunStepDetailsToolCallsFileSearchObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFileSearchObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject","doc":"Schema representing a RunStepDetailsToolCallsFunctionObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsFunctionObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepDetailsToolCallsObject","doc":"Schema representing a RunStepDetailsToolCallsObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepDetailsToolCallsObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepDetailsToolCallsObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepDetailsToolCallsObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepObject","doc":"Schema representing a RunStepObject within the OpenAI API","ref":"ExOpenAI.Components.RunStepObject.html"},{"type":"type","title":"ExOpenAI.Components.RunStepObject.t/0","doc":"","ref":"ExOpenAI.Components.RunStepObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStepStreamEvent","doc":"Schema representing a RunStepStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [%{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.created\"]}}, %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.in_progress\"]}}, %{\"data\" => {:component, \"RunStepDeltaObject\"}, \"event\" => {:enum, [:\"thread.run.step.delta\"]}}, %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.completed\"]}}, %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.failed\"]}}, %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.cancelled\"]}}, %{\"data\" => {:component, \"RunStepObject\"}, \"event\" => {:enum, [:\"thread.run.step.expired\"]}}]","ref":"ExOpenAI.Components.RunStepStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.RunStepStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.RunStepStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunStreamEvent","doc":"Schema representing a RunStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [%{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.created\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.queued\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.in_progress\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.requires_action\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.completed\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.incomplete\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.failed\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.cancelling\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.cancelled\"]}}, %{\"data\" => {:component, \"RunObject\"}, \"event\" => {:enum, [:\"thread.run.expired\"]}}]","ref":"ExOpenAI.Components.RunStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.RunStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.RunStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.RunToolCallObject","doc":"Schema representing a RunToolCallObject within the OpenAI API","ref":"ExOpenAI.Components.RunToolCallObject.html"},{"type":"type","title":"ExOpenAI.Components.RunToolCallObject.t/0","doc":"","ref":"ExOpenAI.Components.RunToolCallObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.StaticChunkingStrategy","doc":"Schema representing a StaticChunkingStrategy within the OpenAI API","ref":"ExOpenAI.Components.StaticChunkingStrategy.html"},{"type":"type","title":"ExOpenAI.Components.StaticChunkingStrategy.t/0","doc":"","ref":"ExOpenAI.Components.StaticChunkingStrategy.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.StaticChunkingStrategyRequestParam","doc":"Schema representing a StaticChunkingStrategyRequestParam within the OpenAI API","ref":"ExOpenAI.Components.StaticChunkingStrategyRequestParam.html"},{"type":"type","title":"ExOpenAI.Components.StaticChunkingStrategyRequestParam.t/0","doc":"","ref":"ExOpenAI.Components.StaticChunkingStrategyRequestParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.StaticChunkingStrategyResponseParam","doc":"Schema representing a StaticChunkingStrategyResponseParam within the OpenAI API","ref":"ExOpenAI.Components.StaticChunkingStrategyResponseParam.html"},{"type":"type","title":"ExOpenAI.Components.StaticChunkingStrategyResponseParam.t/0","doc":"","ref":"ExOpenAI.Components.StaticChunkingStrategyResponseParam.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.SubmitToolOutputsRunRequest","doc":"Schema representing a SubmitToolOutputsRunRequest within the OpenAI API","ref":"ExOpenAI.Components.SubmitToolOutputsRunRequest.html"},{"type":"type","title":"ExOpenAI.Components.SubmitToolOutputsRunRequest.t/0","doc":"","ref":"ExOpenAI.Components.SubmitToolOutputsRunRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ThreadObject","doc":"Schema representing a ThreadObject within the OpenAI API","ref":"ExOpenAI.Components.ThreadObject.html"},{"type":"type","title":"ExOpenAI.Components.ThreadObject.t/0","doc":"","ref":"ExOpenAI.Components.ThreadObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.ThreadStreamEvent","doc":"Schema representing a ThreadStreamEvent within the OpenAI API\n\n\n\t\t\t\tUse any of these components: [%{\"data\" => {:component, \"ThreadObject\"}, \"event\" => {:enum, [:\"thread.created\"]}}]","ref":"ExOpenAI.Components.ThreadStreamEvent.html"},{"type":"type","title":"ExOpenAI.Components.ThreadStreamEvent.t/0","doc":"","ref":"ExOpenAI.Components.ThreadStreamEvent.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TranscriptionSegment","doc":"Schema representing a TranscriptionSegment within the OpenAI API","ref":"ExOpenAI.Components.TranscriptionSegment.html"},{"type":"type","title":"ExOpenAI.Components.TranscriptionSegment.t/0","doc":"","ref":"ExOpenAI.Components.TranscriptionSegment.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TranscriptionWord","doc":"Schema representing a TranscriptionWord within the OpenAI API","ref":"ExOpenAI.Components.TranscriptionWord.html"},{"type":"type","title":"ExOpenAI.Components.TranscriptionWord.t/0","doc":"","ref":"ExOpenAI.Components.TranscriptionWord.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.TruncationObject","doc":"Schema representing a TruncationObject within the OpenAI API","ref":"ExOpenAI.Components.TruncationObject.html"},{"type":"type","title":"ExOpenAI.Components.TruncationObject.t/0","doc":"","ref":"ExOpenAI.Components.TruncationObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.UpdateVectorStoreRequest","doc":"Schema representing a UpdateVectorStoreRequest within the OpenAI API","ref":"ExOpenAI.Components.UpdateVectorStoreRequest.html"},{"type":"type","title":"ExOpenAI.Components.UpdateVectorStoreRequest.t/0","doc":"","ref":"ExOpenAI.Components.UpdateVectorStoreRequest.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreExpirationAfter","doc":"Schema representing a VectorStoreExpirationAfter within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreExpirationAfter.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreExpirationAfter.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreExpirationAfter.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreFileBatchObject","doc":"Schema representing a VectorStoreFileBatchObject within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreFileBatchObject.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreFileBatchObject.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreFileBatchObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreFileObject","doc":"Schema representing a VectorStoreFileObject within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreFileObject.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreFileObject.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreFileObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Components.VectorStoreObject","doc":"Schema representing a VectorStoreObject within the OpenAI API","ref":"ExOpenAI.Components.VectorStoreObject.html"},{"type":"type","title":"ExOpenAI.Components.VectorStoreObject.t/0","doc":"","ref":"ExOpenAI.Components.VectorStoreObject.html#t:t/0"},{"type":"module","title":"ExOpenAI.Config","doc":"Reads configuration on application start, parses all environment variables (if any)\nand caches the final config in memory to avoid parsing on each read afterwards.","ref":"ExOpenAI.Config.html"},{"type":"function","title":"ExOpenAI.Config.api_key/0","doc":"","ref":"ExOpenAI.Config.html#api_key/0"},{"type":"function","title":"ExOpenAI.Config.api_url/1","doc":"","ref":"ExOpenAI.Config.html#api_url/1"},{"type":"function","title":"ExOpenAI.Config.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExOpenAI.Config.html#child_spec/1"},{"type":"function","title":"ExOpenAI.Config.get/1","doc":"","ref":"ExOpenAI.Config.html#get/1"},{"type":"function","title":"ExOpenAI.Config.http_client/0","doc":"","ref":"ExOpenAI.Config.html#http_client/0"},{"type":"function","title":"ExOpenAI.Config.http_headers/0","doc":"","ref":"ExOpenAI.Config.html#http_headers/0"},{"type":"function","title":"ExOpenAI.Config.http_options/0","doc":"","ref":"ExOpenAI.Config.html#http_options/0"},{"type":"function","title":"ExOpenAI.Config.org_key/0","doc":"","ref":"ExOpenAI.Config.html#org_key/0"},{"type":"function","title":"ExOpenAI.Config.start_link/1","doc":"","ref":"ExOpenAI.Config.html#start_link/1"},{"type":"module","title":"ExOpenAI.Embeddings","doc":"Modules for interacting with the `embeddings` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/embeddings","ref":"ExOpenAI.Embeddings.html"},{"type":"function","title":"ExOpenAI.Embeddings.create_embedding/3","doc":"Creates an embedding vector representing the input text.\n\nEndpoint: `https://api.openai.com/v1/embeddings`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/embeddings\n\n---","ref":"ExOpenAI.Embeddings.html#create_embedding/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Embeddings.create_embedding/3","doc":"- `input`: Input text to embed, encoded as a string or array of tokens. To embed multiple inputs in a single request, pass an array of strings or array of token arrays. The input must not exceed the max input tokens for the model (8192 tokens for `text-embedding-ada-002`), cannot be an empty string, and any array must be 2048 dimensions or less. [Example Python code](https://cookbook.openai.com/examples/how_to_count_tokens_with_tiktoken) for counting tokens.\n\n\n- `model`: ID of the model to use. You can use the [List models](https://platform.openai.com/docs/api-reference/models/list) API to see all of your available models, or see our [Model overview](https://platform.openai.com/docs/models/overview) for descriptions of them.","ref":"ExOpenAI.Embeddings.html#create_embedding/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Embeddings.create_embedding/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `dimensions`: The number of dimensions the resulting output embeddings should have. Only supported in `text-embedding-3` and later models.\n\n\n- `encoding_format`: The format to return the embeddings in. Can be either `float` or [`base64`](https://pypi.org/project/pybase64/).\n\n*Example*: `\"float\"`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Embeddings.html#create_embedding/3-optional-arguments"},{"type":"module","title":"ExOpenAI.Files","doc":"Modules for interacting with the `files` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/files","ref":"ExOpenAI.Files.html"},{"type":"function","title":"ExOpenAI.Files.create_file/3","doc":"Upload a file that can be used across various endpoints. Individual files can be up to 512 MB, and the size of all files uploaded by one organization can be up to 100 GB.\n\nThe Assistants API supports files up to 2 million tokens and of specific file types. See the [Assistants Tools guide](https://platform.openai.com/docs/assistants/tools) for details.\n\nThe Fine-tuning API only supports `.jsonl` files. The input also has certain required formats for fine-tuning [chat](https://platform.openai.com/docs/api-reference/fine-tuning/chat-input) or [completions](https://platform.openai.com/docs/api-reference/fine-tuning/completions-input) models.\n\nThe Batch API only supports `.jsonl` files up to 100 MB in size. The input also has a specific required [format](https://platform.openai.com/docs/api-reference/batch/request-input).\n\nPlease [contact us](https://help.openai.com/) if you need to increase these storage limits.\n\n\nEndpoint: `https://api.openai.com/v1/files`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#create_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.create_file/3","doc":"- `file`: The File object (not file name) to be uploaded.\n(Pass in a file object created with something like File.open!, or a {filename, file object} tuple to preserve the filename information, eg `{\"filename.ext\", File.open!(\"/tmp/file.ext\")}`)\n\n- `purpose`: The intended purpose of the uploaded file.\n\nUse \"assistants\" for [Assistants](https://platform.openai.com/docs/api-reference/assistants) and [Message](https://platform.openai.com/docs/api-reference/messages) files, \"vision\" for Assistants image file inputs, \"batch\" for [Batch API](https://platform.openai.com/docs/guides/batch), and \"fine-tune\" for [Fine-tuning](https://platform.openai.com/docs/api-reference/fine-tuning).","ref":"ExOpenAI.Files.html#create_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.create_file/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Files.html#create_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.delete_file/2","doc":"Delete a file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#delete_file/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.delete_file/2","doc":"- `file_id`","ref":"ExOpenAI.Files.html#delete_file/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.delete_file/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Files.html#delete_file/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.download_file/2","doc":"Returns the contents of the specified file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}/content`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#download_file/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.download_file/2","doc":"- `file_id`","ref":"ExOpenAI.Files.html#download_file/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.download_file/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Files.html#download_file/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.list_files/1","doc":"Returns a list of files that belong to the user's organization.\n\nEndpoint: `https://api.openai.com/v1/files`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#list_files/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.list_files/1","doc":"","ref":"ExOpenAI.Files.html#list_files/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.list_files/1","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `purpose`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Files.html#list_files/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Files.retrieve_file/2","doc":"Returns information about a specific file.\n\nEndpoint: `https://api.openai.com/v1/files/{file_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/files\n\n---","ref":"ExOpenAI.Files.html#retrieve_file/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Files.retrieve_file/2","doc":"- `file_id`","ref":"ExOpenAI.Files.html#retrieve_file/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Files.retrieve_file/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Files.html#retrieve_file/2-optional-arguments"},{"type":"module","title":"ExOpenAI.FineTuning","doc":"Modules for interacting with the `fine_tuning` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/fine_tuning","ref":"ExOpenAI.FineTuning.html"},{"type":"function","title":"ExOpenAI.FineTuning.cancel_fine_tuning_job/2","doc":"Immediately cancel a fine-tune job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.cancel_fine_tuning_job/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.cancel_fine_tuning_job/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.FineTuning.html#cancel_fine_tuning_job/2-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.create_fine_tuning_job/3","doc":"Creates a fine-tuning job which begins the process of creating a new model from a given dataset.\n\nResponse includes details of the enqueued job including job status and the name of the fine-tuned models once complete.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.create_fine_tuning_job/3","doc":"- `model`: The name of the model to fine-tune. You can select one of the\n[supported models](https://platform.openai.com/docs/guides/fine-tuning/what-models-can-be-fine-tuned).\n\n\n- `training_file`: The ID of an uploaded file that contains training data.\n\nSee [upload file](https://platform.openai.com/docs/api-reference/files/create) for how to upload a file.\n\nYour dataset must be formatted as a JSONL file. Additionally, you must upload your file with the purpose `fine-tune`.\n\nThe contents of the file should differ depending on if the model uses the [chat](https://platform.openai.com/docs/api-reference/fine-tuning/chat-input) or [completions](https://platform.openai.com/docs/api-reference/fine-tuning/completions-input) format.\n\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/fine-tuning) for more details.\n\n\n*Example*: `file-abc123`","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.create_fine_tuning_job/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `hyperparameters`: The hyperparameters used for the fine-tuning job.\n\n- `integrations`: A list of integrations to enable for your fine-tuning job.\n\n- `seed`: The seed controls the reproducibility of the job. Passing in the same seed and job parameters should produce the same results, but may differ in rare cases.\nIf a seed is not specified, one will be generated for you.\n\n\n*Example*: `42`\n\n- `suffix`: A string of up to 18 characters that will be added to your fine-tuned model name.\n\nFor example, a `suffix` of \"custom-model-name\" would produce a model name like `ft:gpt-3.5-turbo:openai:custom-model-name:7p4lURel`.\n\n\n- `validation_file`: The ID of an uploaded file that contains validation data.\n\nIf you provide this file, the data is used to generate validation\nmetrics periodically during fine-tuning. These metrics can be viewed in\nthe fine-tuning results file.\nThe same data should not be present in both train and validation files.\n\nYour dataset must be formatted as a JSONL file. You must upload your file with the purpose `fine-tune`.\n\nSee the [fine-tuning guide](https://platform.openai.com/docs/guides/fine-tuning) for more details.\n\n\n*Example*: `\"file-abc123\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.FineTuning.html#create_fine_tuning_job/3-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.list_fine_tuning_events/2","doc":"Get status updates for a fine-tuning job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/events`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.list_fine_tuning_events/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.list_fine_tuning_events/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_events/2-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"List checkpoints for a fine-tuning job.\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}/checkpoints`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_job_checkpoints/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_job_checkpoints/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.list_fine_tuning_job_checkpoints/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.FineTuning.html#list_fine_tuning_job_checkpoints/2-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"List your organization's fine-tuning jobs\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#list_paginated_fine_tuning_jobs/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"","ref":"ExOpenAI.FineTuning.html#list_paginated_fine_tuning_jobs/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.list_paginated_fine_tuning_jobs/1","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `after`\n\n- `limit`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.FineTuning.html#list_paginated_fine_tuning_jobs/1-optional-arguments"},{"type":"function","title":"ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","doc":"Get info about a fine-tuning job.\n\n[Learn more about fine-tuning](https://platform.openai.com/docs/guides/fine-tuning)\n\n\nEndpoint: `https://api.openai.com/v1/fine_tuning/jobs/{fine_tuning_job_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/fine_tuning\n\n---","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","doc":"- `fine_tuning_job_id`\n\n*Example*: `ft-AF1WoRqd3aJAHsqc9NY7iL8F`","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.FineTuning.retrieve_fine_tuning_job/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.FineTuning.html#retrieve_fine_tuning_job/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Images","doc":"Modules for interacting with the `images` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/images","ref":"ExOpenAI.Images.html"},{"type":"function","title":"ExOpenAI.Images.create_image/2","doc":"Creates an image given a prompt.\n\nEndpoint: `https://api.openai.com/v1/images/generations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---","ref":"ExOpenAI.Images.html#create_image/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Images.create_image/2","doc":"- `prompt`: A text description of the desired image(s). The maximum length is 1000 characters for `dall-e-2` and 4000 characters for `dall-e-3`.\n\n*Example*: `A cute baby sea otter`","ref":"ExOpenAI.Images.html#create_image/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Images.create_image/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `model`: The model to use for image generation.\n\n- `n`: The number of images to generate. Must be between 1 and 10. For `dall-e-3`, only `n=1` is supported.\n\n*Example*: `1`\n\n- `quality`: The quality of the image that will be generated. `hd` creates images with finer details and greater consistency across the image. This param is only supported for `dall-e-3`.\n\n*Example*: `\"standard\"`\n\n- `response_format`: The format in which the generated images are returned. Must be one of `url` or `b64_json`. URLs are only valid for 60 minutes after the image has been generated.\n\n*Example*: `\"url\"`\n\n- `size`: The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024` for `dall-e-2`. Must be one of `1024x1024`, `1792x1024`, or `1024x1792` for `dall-e-3` models.\n\n*Example*: `\"1024x1024\"`\n\n- `style`: The style of the generated images. Must be one of `vivid` or `natural`. Vivid causes the model to lean towards generating hyper-real and dramatic images. Natural causes the model to produce more natural, less hyper-real looking images. This param is only supported for `dall-e-3`.\n\n*Example*: `\"vivid\"`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Images.html#create_image/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Images.create_image_edit/3","doc":"Creates an edited or extended image given an original image and a prompt.\n\nEndpoint: `https://api.openai.com/v1/images/edits`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---","ref":"ExOpenAI.Images.html#create_image_edit/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Images.create_image_edit/3","doc":"- `image`: The image to edit. Must be a valid PNG file, less than 4MB, and square. If mask is not provided, image must have transparency, which will be used as the mask.\n\n- `prompt`: A text description of the desired image(s). The maximum length is 1000 characters.\n\n*Example*: `A cute baby sea otter wearing a beret`","ref":"ExOpenAI.Images.html#create_image_edit/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Images.create_image_edit/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `mask`: An additional image whose fully transparent areas (e.g. where alpha is zero) indicate where `image` should be edited. Must be a valid PNG file, less than 4MB, and have the same dimensions as `image`.\n\n- `model`: The model to use for image generation. Only `dall-e-2` is supported at this time.\n\n- `n`: The number of images to generate. Must be between 1 and 10.\n\n*Example*: `1`\n\n- `response_format`: The format in which the generated images are returned. Must be one of `url` or `b64_json`. URLs are only valid for 60 minutes after the image has been generated.\n\n*Example*: `\"url\"`\n\n- `size`: The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024`.\n\n*Example*: `\"1024x1024\"`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Images.html#create_image_edit/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Images.create_image_variation/2","doc":"Creates a variation of a given image.\n\nEndpoint: `https://api.openai.com/v1/images/variations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/images\n\n---","ref":"ExOpenAI.Images.html#create_image_variation/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Images.create_image_variation/2","doc":"- `image`: The image to use as the basis for the variation(s). Must be a valid PNG file, less than 4MB, and square.","ref":"ExOpenAI.Images.html#create_image_variation/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Images.create_image_variation/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `model`: The model to use for image generation. Only `dall-e-2` is supported at this time.\n\n- `n`: The number of images to generate. Must be between 1 and 10. For `dall-e-3`, only `n=1` is supported.\n\n*Example*: `1`\n\n- `response_format`: The format in which the generated images are returned. Must be one of `url` or `b64_json`. URLs are only valid for 60 minutes after the image has been generated.\n\n*Example*: `\"url\"`\n\n- `size`: The size of the generated images. Must be one of `256x256`, `512x512`, or `1024x1024`.\n\n*Example*: `\"1024x1024\"`\n\n- `user`: A unique identifier representing your end-user, which can help OpenAI to monitor and detect abuse. [Learn more](https://platform.openai.com/docs/guides/safety-best-practices/end-user-ids).\n\n\n*Example*: `\"user-1234\"`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Images.html#create_image_variation/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Models","doc":"Modules for interacting with the `models` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/models","ref":"ExOpenAI.Models.html"},{"type":"function","title":"ExOpenAI.Models.delete_model/2","doc":"Delete a fine-tuned model. You must have the Owner role in your organization to delete a model.\n\nEndpoint: `https://api.openai.com/v1/models/{model}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---","ref":"ExOpenAI.Models.html#delete_model/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Models.delete_model/2","doc":"- `model`\n\n*Example*: `ft:gpt-3.5-turbo:acemeco:suffix:abc123`","ref":"ExOpenAI.Models.html#delete_model/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Models.delete_model/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Models.html#delete_model/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Models.list_models/1","doc":"Lists the currently available models, and provides basic information about each one such as the owner and availability.\n\nEndpoint: `https://api.openai.com/v1/models`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---","ref":"ExOpenAI.Models.html#list_models/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Models.list_models/1","doc":"","ref":"ExOpenAI.Models.html#list_models/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Models.list_models/1","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Models.html#list_models/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Models.retrieve_model/2","doc":"Retrieves a model instance, providing basic information about the model such as the owner and permissioning.\n\nEndpoint: `https://api.openai.com/v1/models/{model}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/models\n\n---","ref":"ExOpenAI.Models.html#retrieve_model/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Models.retrieve_model/2","doc":"- `model`\n\n*Example*: `gpt-3.5-turbo`","ref":"ExOpenAI.Models.html#retrieve_model/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Models.retrieve_model/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Models.html#retrieve_model/2-optional-arguments"},{"type":"module","title":"ExOpenAI.Moderations","doc":"Modules for interacting with the `moderations` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/moderations","ref":"ExOpenAI.Moderations.html"},{"type":"function","title":"ExOpenAI.Moderations.create_moderation/2","doc":"Classifies if text is potentially harmful.\n\nEndpoint: `https://api.openai.com/v1/moderations`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/moderations\n\n---","ref":"ExOpenAI.Moderations.html#create_moderation/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Moderations.create_moderation/2","doc":"- `input`: The input text to classify","ref":"ExOpenAI.Moderations.html#create_moderation/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Moderations.create_moderation/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `model`: Two content moderations models are available: `text-moderation-stable` and `text-moderation-latest`.\n\nThe default is `text-moderation-latest` which will be automatically upgraded over time. This ensures you are always using our most accurate model. If you use `text-moderation-stable`, we will provide advanced notice before updating the model. Accuracy of `text-moderation-stable` may be slightly lower than for `text-moderation-latest`.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Moderations.html#create_moderation/2-optional-arguments"},{"type":"behaviour","title":"ExOpenAI.StreamingClient","doc":"","ref":"ExOpenAI.StreamingClient.html"},{"type":"function","title":"ExOpenAI.StreamingClient.child_spec/1","doc":"Returns a specification to start this module under a supervisor.\n\nSee `Supervisor`.","ref":"ExOpenAI.StreamingClient.html#child_spec/1"},{"type":"function","title":"ExOpenAI.StreamingClient.forward_response/2","doc":"Forwards the given response back to the receiver\nIf receiver is a PID, will use GenServer.cast to send\nIf receiver is a function, will call the function directly","ref":"ExOpenAI.StreamingClient.html#forward_response/2"},{"type":"function","title":"ExOpenAI.StreamingClient.handle_chunk/2","doc":"","ref":"ExOpenAI.StreamingClient.html#handle_chunk/2"},{"type":"callback","title":"ExOpenAI.StreamingClient.handle_data/2","doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_data/2"},{"type":"callback","title":"ExOpenAI.StreamingClient.handle_error/2","doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_error/2"},{"type":"callback","title":"ExOpenAI.StreamingClient.handle_finish/1","doc":"","ref":"ExOpenAI.StreamingClient.html#c:handle_finish/1"},{"type":"function","title":"ExOpenAI.StreamingClient.init/1","doc":"","ref":"ExOpenAI.StreamingClient.html#init/1"},{"type":"function","title":"ExOpenAI.StreamingClient.start_link/2","doc":"","ref":"ExOpenAI.StreamingClient.html#start_link/2"},{"type":"module","title":"ExOpenAI.Threads","doc":"Modules for interacting with the `threads` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/threads","ref":"ExOpenAI.Threads.html"},{"type":"function","title":"ExOpenAI.Threads.cancel_run/3","doc":"Cancels a run that is `in_progress`.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#cancel_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.cancel_run/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#cancel_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.cancel_run/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#cancel_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_message/4","doc":"Create a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_message/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_message/4","doc":"- `thread_id`\n\n- `content`: \n\n- `role`: The role of the entity that is creating the message. Allowed values include:\n- `user`: Indicates the message is sent by an actual user and should be used in most cases to represent user-generated messages.\n- `assistant`: Indicates the message is generated by the assistant. Use this value to insert messages from the assistant into the conversation.","ref":"ExOpenAI.Threads.html#create_message/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_message/4","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `attachments`: A list of files attached to the message, and the tools they should be added to.\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#create_message/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_run/3","doc":"Create a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_run/3","doc":"- `thread_id`\n\n- `assistant_id`: The ID of the [assistant](https://platform.openai.com/docs/api-reference/assistants) to use to execute this run.","ref":"ExOpenAI.Threads.html#create_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_run/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `additional_instructions`: Appends additional instructions at the end of the instructions for the run. This is useful for modifying the behavior on a per-run basis without overriding other instructions.\n\n- `additional_messages`: Adds additional messages to the thread before creating the run.\n\n- `instructions`: Overrides the [instructions](https://platform.openai.com/docs/api-reference/assistants/createAssistant) of the assistant. This is useful for modifying the behavior on a per-run basis.\n\n- `max_completion_tokens`: The maximum number of completion tokens that may be used over the course of the run. The run will make a best effort to use only the number of completion tokens specified, across multiple turns of the run. If the run exceeds the number of completion tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\n\n\n- `max_prompt_tokens`: The maximum number of prompt tokens that may be used over the course of the run. The run will make a best effort to use only the number of prompt tokens specified, across multiple turns of the run. If the run exceeds the number of prompt tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\n\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `model`: The ID of the [Model](https://platform.openai.com/docs/api-reference/models) to be used to execute this run. If a value is provided here, it will override the model associated with the assistant. If not, the model associated with the assistant will be used.\n\n- `parallel_tool_calls`: \n\n- `response_format`: \n\n- `stream`: If `true`, returns a stream of events that happen during the Run as server-sent events, terminating when the Run enters a terminal state with a `data: [DONE]` message.\n\n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\n\n*Example*: `1`\n\n- `tool_choice`: \n\n- `tools`: Override the tools the assistant can use for this run. This is useful for modifying the behavior on a per-run basis.\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or temperature but not both.\n\n\n*Example*: `1`\n\n- `truncation_strategy`: \n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#create_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_thread/1","doc":"Create a thread.\n\nEndpoint: `https://api.openai.com/v1/threads`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_thread/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_thread/1","doc":"","ref":"ExOpenAI.Threads.html#create_thread/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_thread/1","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `messages`: A list of [messages](https://platform.openai.com/docs/api-reference/messages) to start the thread with.\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `tool_resources`: A set of resources that are made available to the assistant's tools in this thread. The resources are specific to the type of tool. For example, the `code_interpreter` tool requires a list of file IDs, while the `file_search` tool requires a list of vector store IDs.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#create_thread/1-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.create_thread_and_run/2","doc":"Create a thread and run it in one request.\n\nEndpoint: `https://api.openai.com/v1/threads/runs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#create_thread_and_run/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.create_thread_and_run/2","doc":"- `assistant_id`: The ID of the [assistant](https://platform.openai.com/docs/api-reference/assistants) to use to execute this run.","ref":"ExOpenAI.Threads.html#create_thread_and_run/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.create_thread_and_run/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `instructions`: Override the default system message of the assistant. This is useful for modifying the behavior on a per-run basis.\n\n- `max_completion_tokens`: The maximum number of completion tokens that may be used over the course of the run. The run will make a best effort to use only the number of completion tokens specified, across multiple turns of the run. If the run exceeds the number of completion tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\n\n\n- `max_prompt_tokens`: The maximum number of prompt tokens that may be used over the course of the run. The run will make a best effort to use only the number of prompt tokens specified, across multiple turns of the run. If the run exceeds the number of prompt tokens specified, the run will end with status `incomplete`. See `incomplete_details` for more info.\n\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `model`: The ID of the [Model](https://platform.openai.com/docs/api-reference/models) to be used to execute this run. If a value is provided here, it will override the model associated with the assistant. If not, the model associated with the assistant will be used.\n\n- `parallel_tool_calls`: \n\n- `response_format`: \n\n- `stream`: If `true`, returns a stream of events that happen during the Run as server-sent events, terminating when the Run enters a terminal state with a `data: [DONE]` message.\n\n\n- `temperature`: What sampling temperature to use, between 0 and 2. Higher values like 0.8 will make the output more random, while lower values like 0.2 will make it more focused and deterministic.\n\n\n*Example*: `1`\n\n- `thread`: If no thread is provided, an empty thread will be created.\n\n- `tool_choice`: \n\n- `tool_resources`: A set of resources that are used by the assistant's tools. The resources are specific to the type of tool. For example, the `code_interpreter` tool requires a list of file IDs, while the `file_search` tool requires a list of vector store IDs.\n\n\n- `tools`: Override the tools the assistant can use for this run. This is useful for modifying the behavior on a per-run basis.\n\n- `top_p`: An alternative to sampling with temperature, called nucleus sampling, where the model considers the results of the tokens with top_p probability mass. So 0.1 means only the tokens comprising the top 10% probability mass are considered.\n\nWe generally recommend altering this or temperature but not both.\n\n\n*Example*: `1`\n\n- `truncation_strategy`: \n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#create_thread_and_run/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.delete_message/3","doc":"Deletes a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages/{message_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#delete_message/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.delete_message/3","doc":"- `thread_id`\n\n- `message_id`","ref":"ExOpenAI.Threads.html#delete_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.delete_message/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#delete_message/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.delete_thread/2","doc":"Delete a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#delete_thread/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.delete_thread/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#delete_thread/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.delete_thread/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#delete_thread/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_message/3","doc":"Retrieve a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages/{message_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_message/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_message/3","doc":"- `thread_id`\n\n- `message_id`","ref":"ExOpenAI.Threads.html#get_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_message/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#get_message/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_run/3","doc":"Retrieves a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_run/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#get_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_run/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#get_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_run_step/4","doc":"Retrieves a run step.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/steps/{step_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_run_step/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_run_step/4","doc":"- `thread_id`\n\n- `run_id`\n\n- `step_id`","ref":"ExOpenAI.Threads.html#get_run_step/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_run_step/4","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#get_run_step/4-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.get_thread/2","doc":"Retrieves a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#get_thread/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.get_thread/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#get_thread/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.get_thread/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#get_thread/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.list_messages/2","doc":"Returns a list of messages for a given thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#list_messages/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.list_messages/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#list_messages/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.list_messages/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `run_id`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#list_messages/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.list_run_steps/3","doc":"Returns a list of run steps belonging to a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/steps`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#list_run_steps/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.list_run_steps/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#list_run_steps/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.list_run_steps/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#list_run_steps/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.list_runs/2","doc":"Returns a list of runs belonging to a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#list_runs/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.list_runs/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#list_runs/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.list_runs/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#list_runs/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.modify_message/3","doc":"Modifies a message.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/messages/{message_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#modify_message/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.modify_message/3","doc":"- `thread_id`\n\n- `message_id`","ref":"ExOpenAI.Threads.html#modify_message/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.modify_message/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#modify_message/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.modify_run/3","doc":"Modifies a run.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#modify_run/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.modify_run/3","doc":"- `thread_id`\n\n- `run_id`","ref":"ExOpenAI.Threads.html#modify_run/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.modify_run/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#modify_run/3-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.modify_thread/2","doc":"Modifies a thread.\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#modify_thread/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.modify_thread/2","doc":"- `thread_id`","ref":"ExOpenAI.Threads.html#modify_thread/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.modify_thread/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `tool_resources`: A set of resources that are made available to the assistant's tools in this thread. The resources are specific to the type of tool. For example, the `code_interpreter` tool requires a list of file IDs, while the `file_search` tool requires a list of vector store IDs.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#modify_thread/2-optional-arguments"},{"type":"function","title":"ExOpenAI.Threads.submit_tool_ouputs_to_run/4","doc":"When a run has the `status: \"requires_action\"` and `required_action.type` is `submit_tool_outputs`, this endpoint can be used to submit the outputs from the tool calls once they're all completed. All outputs must be submitted in a single request.\n\n\nEndpoint: `https://api.openai.com/v1/threads/{thread_id}/runs/{run_id}/submit_tool_outputs`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/threads\n\n---","ref":"ExOpenAI.Threads.html#submit_tool_ouputs_to_run/4"},{"type":"function","title":"Required Arguments: - ExOpenAI.Threads.submit_tool_ouputs_to_run/4","doc":"- `thread_id`\n\n- `run_id`\n\n- `tool_outputs`: A list of tools for which the outputs are being submitted.","ref":"ExOpenAI.Threads.html#submit_tool_ouputs_to_run/4-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.Threads.submit_tool_ouputs_to_run/4","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `stream`: If `true`, returns a stream of events that happen during the Run as server-sent events, terminating when the Run enters a terminal state with a `data: [DONE]` message.\n\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.Threads.html#submit_tool_ouputs_to_run/4-optional-arguments"},{"type":"module","title":"ExOpenAI.VectorStores","doc":"Modules for interacting with the `vector_stores` group of OpenAI APIs\n\nAPI Reference: https://platform.openai.com/docs/api-reference/vector_stores","ref":"ExOpenAI.VectorStores.html"},{"type":"function","title":"ExOpenAI.VectorStores.cancel_vector_store_file_batch/3","doc":"Cancel a vector store file batch. This attempts to cancel the processing of files in this batch as soon as possible.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}/cancel`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#cancel_vector_store_file_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.cancel_vector_store_file_batch/3","doc":"- `vector_store_id`\n\n- `batch_id`","ref":"ExOpenAI.VectorStores.html#cancel_vector_store_file_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.cancel_vector_store_file_batch/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#cancel_vector_store_file_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.create_vector_store/1","doc":"Create a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#create_vector_store/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.create_vector_store/1","doc":"","ref":"ExOpenAI.VectorStores.html#create_vector_store/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.create_vector_store/1","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `chunking_strategy`: The chunking strategy used to chunk the file(s). If not set, will use the `auto` strategy. Only applicable if `file_ids` is non-empty.\n\n- `expires_after`: \n\n- `file_ids`: A list of [File](https://platform.openai.com/docs/api-reference/files) IDs that the vector store should use. Useful for tools like `file_search` that can access files.\n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `name`: The name of the vector store.\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#create_vector_store/1-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.create_vector_store_file/3","doc":"Create a vector store file by attaching a [File](https://platform.openai.com/docs/api-reference/files) to a [vector store](https://platform.openai.com/docs/api-reference/vector-stores/object).\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#create_vector_store_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.create_vector_store_file/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_id`: A [File](https://platform.openai.com/docs/api-reference/files) ID that the vector store should use. Useful for tools like `file_search` that can access files.","ref":"ExOpenAI.VectorStores.html#create_vector_store_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.create_vector_store_file/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `chunking_strategy`: \n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#create_vector_store_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.create_vector_store_file_batch/3","doc":"Create a vector store file batch.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#create_vector_store_file_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.create_vector_store_file_batch/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_ids`: A list of [File](https://platform.openai.com/docs/api-reference/files) IDs that the vector store should use. Useful for tools like `file_search` that can access files.","ref":"ExOpenAI.VectorStores.html#create_vector_store_file_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.create_vector_store_file_batch/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `chunking_strategy`: \n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#create_vector_store_file_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.delete_vector_store/2","doc":"Delete a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#delete_vector_store/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.delete_vector_store/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#delete_vector_store/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.delete_vector_store/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#delete_vector_store/2-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.delete_vector_store_file/3","doc":"Delete a vector store file. This will remove the file from the vector store but the file itself will not be deleted. To delete the file, use the [delete file](https://platform.openai.com/docs/api-reference/files/delete) endpoint.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files/{file_id}`\n\nMethod: DELETE\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#delete_vector_store_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.delete_vector_store_file/3","doc":"- `vector_store_id`\n\n- `file_id`","ref":"ExOpenAI.VectorStores.html#delete_vector_store_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.delete_vector_store_file/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#delete_vector_store_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.get_vector_store/2","doc":"Retrieves a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#get_vector_store/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.get_vector_store/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#get_vector_store/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.get_vector_store/2","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#get_vector_store/2-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.get_vector_store_file/3","doc":"Retrieves a vector store file.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files/{file_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#get_vector_store_file/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.get_vector_store_file/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `file_id`\n\n*Example*: `file-abc123`","ref":"ExOpenAI.VectorStores.html#get_vector_store_file/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.get_vector_store_file/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#get_vector_store_file/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.get_vector_store_file_batch/3","doc":"Retrieves a vector store file batch.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#get_vector_store_file_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.get_vector_store_file_batch/3","doc":"- `vector_store_id`\n\n*Example*: `vs_abc123`\n\n- `batch_id`\n\n*Example*: `vsfb_abc123`","ref":"ExOpenAI.VectorStores.html#get_vector_store_file_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.get_vector_store_file_batch/3","doc":"- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#get_vector_store_file_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.list_files_in_vector_store_batch/3","doc":"Returns a list of vector store files in a batch.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/file_batches/{batch_id}/files`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#list_files_in_vector_store_batch/3"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.list_files_in_vector_store_batch/3","doc":"- `vector_store_id`\n\n- `batch_id`","ref":"ExOpenAI.VectorStores.html#list_files_in_vector_store_batch/3-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.list_files_in_vector_store_batch/3","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `filter`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#list_files_in_vector_store_batch/3-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.list_vector_store_files/2","doc":"Returns a list of vector store files.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}/files`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#list_vector_store_files/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.list_vector_store_files/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#list_vector_store_files/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.list_vector_store_files/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `filter`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#list_vector_store_files/2-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.list_vector_stores/1","doc":"Returns a list of vector stores.\n\nEndpoint: `https://api.openai.com/v1/vector_stores`\n\nMethod: GET\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#list_vector_stores/1"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.list_vector_stores/1","doc":"","ref":"ExOpenAI.VectorStores.html#list_vector_stores/1-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.list_vector_stores/1","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `limit`\n\n- `order`\n\n- `after`\n\n- `before`\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#list_vector_stores/1-optional-arguments"},{"type":"function","title":"ExOpenAI.VectorStores.modify_vector_store/2","doc":"Modifies a vector store.\n\nEndpoint: `https://api.openai.com/v1/vector_stores/{vector_store_id}`\n\nMethod: POST\n\nDocs: https://platform.openai.com/docs/api-reference/vector_stores\n\n---","ref":"ExOpenAI.VectorStores.html#modify_vector_store/2"},{"type":"function","title":"Required Arguments: - ExOpenAI.VectorStores.modify_vector_store/2","doc":"- `vector_store_id`","ref":"ExOpenAI.VectorStores.html#modify_vector_store/2-required-arguments"},{"type":"function","title":"Optional Arguments: - ExOpenAI.VectorStores.modify_vector_store/2","doc":"- `stream_to`: PID or function of where to stream content to\n\n- `expires_after`: \n\n- `metadata`: Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format. Keys can be a maximum of 64 characters long and values can be a maxium of 512 characters long.\n\n\n- `name`: The name of the vector store.\n\n- `openai_api_key`: OpenAI API key to pass directly. If this is specified, it will override the `api_key` config value.\n\n- `openai_organization_key`: OpenAI API key to pass directly. If this is specified, it will override the `organization_key` config value.\n\n- `base_url`: Which API endpoint to use as base, defaults to https://api.openai.com/v1","ref":"ExOpenAI.VectorStores.html#modify_vector_store/2-optional-arguments"},{"type":"task","title":"mix update_openai_docs","doc":"Updates OpenAI API documentation files","ref":"Mix.Tasks.UpdateOpenaiDocs.html"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,49]}}